@font-face {
  font-family: 'Lato';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(../fonts/lato/latinext.woff2) format('woff2');
  unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

@font-face {
  font-family: 'Lato';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(../fonts/lato/latin.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Lato', sans-serif;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-image: linear-gradient(0deg, rgba(247, 247, 247, 1) 23.8%, rgba(252, 221, 221, 1) 92%);
}

.music-container {
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 20px 20px 0 rgba(252, 169, 169, 0.6);
  display: flex;
  margin: 100px 0;
  padding: 20px 30px;
  position: relative;
  z-index: 10;
}

.music-container .music-info {
  background-color: rgba(255, 255, 255, 0.5);
  border-radius: 10px 10px 0 0;
  position: absolute;
  top: 0;
  left: 20px;
  width: calc(100% - 40px);
  padding: 10px 10px 10px 150px;
  opacity: 0;
  transform: translateY(0%);
  transition: transform 0.3s ease-in, opacity 0.3s ease-in;
  z-index: 0;
}
.music-container.play .music-info {
  opacity: 1;
  transform: translateY(-100%);
}

#progress-container {
  background: #fff;
  width: 100%;
  height: 4px;
  margin: 10px 0;
  border-radius: 5px;
  cursor: pointer;
}

#progress {
  background-color: #fe8daa;
  border-radius: 5px;
  width: 0%;
  height: 100%;
  transition: width 0.1s linear;
}

.music-time {
  color: #555;
  font-size: 10px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.music-time .time-line {
  margin-left: 2px;
  margin-right: 2px;
}

.img-container {
  position: relative;
  width: 110px;
}

/*.img-container::after {
  content: '';
  background-color: #fff;
  border-radius: 50%;
  width: 20px;
  height: 20px;
  position: absolute;
  bottom: 100%;
  left: 50%;
  transform: translate(-50%, 50%);
}*/

.img-container img {
  border-radius: 50%;
  object-fit: cover;
  width: inherit;
  height: 110px;
  position: absolute;
  bottom: 0;
  left: 0;
  animation: rotate 3s linear infinite;
  animation-play-state: paused;
}

.music-container.play .img-container img {
  animation-play-state: running;
}

@keyframes rotate {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}

.navigation {
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1;
}

.navigation .action-btn {
  background-color: #fff;
  color: #dfdbdf;
  border: 0;
  font-size: 20px;
  cursor: pointer;
  padding: 10px;
  margin: 0 20px;
}
.navigation .action-btn:focus {
  outline: 0;
}

.navigation .action-btn-big {
  color: #cdc2d0;
  font-size: 30px;
}

.notice {
  color: #555;
  padding-left: 20px;
  padding-bottom: 2px;
}

.contact-us {
  width: 100%;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
}
.contact-us .qrcode {
  padding: 20px;
}
.contact-us .qrcode img {
  width: 180px;
  border-radius: 10px;
}